#! /usr/bin/python3



__author__ = 'Predrag Pejovic'
__license__ = 'GPLv3'
__date__ = '2018-12-11'



import os
import usbtmc
from oscusb3 import *

################################################################################
#
# generator
#
try:
    gen = usbtmc.Instrument(0x0957, 0x0407)
    gen.write('*rst')
    gen.write('function square')
    gen.write('output off')
    gen.write('output:load 9.9e37')
except:
    print('cannot find generator')
#
################################################################################

################################################################################
#
# oscilloscope
#
try:
    o = Oscilloscope(shy = True)
    o.write('*rst')
except:
    pass
#
################################################################################

# a
os.system('rm -f a/*.npy')
os.system('rm -f a/*.jpg')
os.system('rm -f a/*.png')
os.system('rm -f a/*.pdf')
os.system('rm -f a/*.txt')
os.system('rm -f a/*.csv')

# b
os.system('rm -f b/*.npy')
os.system('rm -f b/*.jpg')
os.system('rm -f b/*.png')
os.system('rm -f b/*.pdf')
os.system('rm -f b/*.txt')
os.system('rm -f b/*.csv')

# c
os.system('rm -f c/*.npy')
os.system('rm -f c/*.jpg')
os.system('rm -f c/*.png')
os.system('rm -f c/*.pdf')
os.system('rm -f c/*.txt')
os.system('rm -f c/*.csv')

# d
os.system('rm -f d/*.npy')
os.system('rm -f d/*.jpg')
os.system('rm -f d/*.png')
os.system('rm -f d/*.pdf')
os.system('rm -f d/*.txt')
os.system('rm -f d/*.csv')

# e
os.system('rm -f e/*.npy')
os.system('rm -f e/*.jpg')
os.system('rm -f e/*.png')
os.system('rm -f e/*.pdf')
os.system('rm -f e/*.txt')
os.system('rm -f e/*.csv')

# f
os.system('rm -f f/*.npy')
os.system('rm -f f/*.jpg')
os.system('rm -f f/*.png')
os.system('rm -f f/*.pdf')
os.system('rm -f f/*.txt')
os.system('rm -f f/*.csv')

