#! /usr/bin/python3



__author__ = 'Predrag Pejovic'
__license__ = 'GPLv3'
__date__ = '2022-12-14'



from pylab import *

outputs = np.loadtxt('outputs.csv', delimiter = ',')

v1 = outputs[:, 0]
v2 = outputs[:, 1]

f = array([10, 100, 1e3, 1e4, 1e5, 1e6])

close('all')
figure(1)
plot(f / 1000.0, v1, 'b', label = 'v_1')
plot(f / 1000.0, v1, 'b.')
plot(f / 1000.0, v2, 'g', label = 'v_2')
plot(f / 1000.0, v2, 'g.')
xlim(-10, 1010)
xlabel('f [kHz]')
ylabel('v_1, v_2 [V]')
legend(loc = 'center right')
title('peak detector')
savefig('outputs.png', bbox_inches = 'tight')
#savefig('outputs.pdf', bbox_inches = 'tight')

